:root {
    --holy-color-jaune: #f5c70d;
    --holy-color-noire: #0e0d0d;
    --holy-color-blanc: #ffffff;
    --holy-color-rouge: #e60000;
}

header {
    background: var(--holy-color-jaune);
    border-bottom: 2px solid var(--holy-color-blanc);
    position: relative;
}

* {
    font-family: "Poppins";
}

nav ul {
    padding: 0;
    margin: 0;
    height: 75px;
    display: flex;
    align-items: center;
    justify-content: center;
}

nav ul li {
    list-style-type: none;
    float: left;
    margin: 0 15px;
    display: flex;
    align-items: center;
    position: relative;
    flex-direction: column;
    position: relative;
    transition: all 1s cubic-bezier(0.075, 0.82, 0.165, 1);
    transition: all .2s;
}

nav ul li::after {
    content: '';
    width: 100%;
    background: var(--holy-color-rouge);
    height: 2px;
    position: absolute;
    bottom: -25px;
    display: none;
    transition: all .2s;
}

nav ul li:hover::after {
    display: inline-block !important;
}

nav ul li a {
    text-decoration: none;
    font-weight: bold;
    color: var(--holy-color-noire);
    transition: all .2s;
}

nav ul li a:hover {
    color: var(--holy-color-blanc);
}

.holy-banner {
    min-height: 50%;
    height: 75vh;
    background-image: linear-gradient(rgba(26, 23, 23, 0.779), rgba(26, 23, 23, 0.774)), url('./photos/Code_promo_Holy_.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.holy-banner>div {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.holy-banner h1 {
    font-size: 85px;
    width: 75%;
    text-align: center;
    color: var(--holy-color-blanc);
    font-weight: bold;
}

.btn {
    display: inline-block;
    background-color: #e60000;
    color: white;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 50px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease, transform 0.3s ease;
    font-weight: bold;
}

.btn:hover {
    background-color: var(--holy-color-jaune);
    color: #e60000;
    transform: scale(1.05);
}

.holly-padding-section {
    padding: 50px 20px;
}

.intro,
#codes-promo {
    background: var(--holy-color-noire);
    color: var(--holy-color-blanc);
}

.intro {
    padding-top: 70px;
}

#codes-promo {
    padding-bottom: 70px;
}

#codes-promo h2 {
    color: var(--holy-color-blanc);
}

#codes-promo ul {
    padding: 0;
    margin: 40px 0;
}

#codes-promo ul li {
    list-style-type: none;
    margin-bottom: 15px;
}

h2 {
    text-align: center;
    margin-bottom: 90px;
    font-weight: bold;
    font-size: 44px;
    color: var(--holy-color-rouge);
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
}

h2::after {
    height: 5px;
    background: var(--holy-color-jaune);
    width: 20%;
    display: inline-block;
    content: '';
    position: absolute;
    bottom: -15px;
}

.highlight {
    background: #ebebeb;
}

.holy-hand {
    animation: handanimation .8s infinite alternate;
}

@keyframes handanimation {
    0% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(15px);
    }
}

.holy-link-button {
    background: var(--holy-color-rouge);
    text-decoration: none;
    padding: 10px 20px;
    color: var(--holy-color-blanc);
    border-radius: 50px;
    margin-top: 20px;
    display: inline-block;
}

.holy-container-image {
    background: white;
    padding: 20px;
    width: 95%;
    margin: 40px auto;
    border-radius: 4px;
}

.holy-container-image img {
    width: 100%;
    object-fit: cover;
    border-radius: 4px;
}

.holy-span-step {
    display: flex;
    width: 150px;
    padding: 10px;
    height: 50px;
    font-size: 30px;
    font-weight: bolder;
    align-items: center;
    justify-content: center;
    margin: 20px auto;
    background: var(--holy-color-rouge);
    color: #ebebeb;
    border-radius: 4px;
}

.holy-span-step+p {
    text-align: center;
    margin-bottom: 50px;
}

.holy-heiht-text {
    height: 90px;
}

.holy-text {
    text-align: center;
    margin: 50px;
}

.holy-body-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    border: 2px solid var(--holy-color-jaune);
}

.holy-body-grid div p {
    padding: 10px 20px;
}

.holy-body-grid div h6 {
    /* background: var(--holy-color-noire); */
    text-align: center;
    text-transform: uppercase;
    margin: 0 !important;
    padding: 15px 0;
    color: var(--holy-color-rouge);
    border-bottom: 2px solid var(--holy-color-jaune);
    font-weight: bold;
}

.holy-body h5 {
    background: var(--holy-color-jaune);
    padding: 15px 0;
    text-transform: uppercase;
    font-weight: bolder;
    margin-bottom: 0;
}

.holy-body-grid div:nth-child(1) {
    border-right: 2px solid var(--holy-color-jaune);
}

.holy-mobile-header {
    display: none;
}

.holy-scrolltop {
    background: var(--holy-color-rouge);
    width: 45px;
    height: 45px;
    position: fixed;
    right: 20px;
    bottom: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.navbar .container {
    justify-content: flex-end;
}

.holy-link-button,
.btn {
    padding: 20px 25px;
}

footer {
    background: var(--holy-color-noire);
    height: 60px;
    margin-top: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

footer p {
    text-align: center;
    margin: 0;
}

.holy-navbar {
    margin: 0 auto;
}

.holy-navbar ul {
    padding: 0;
    margin: 0;
}

.holy-code {
    background: var(--holy-color-rouge);
    padding: 0px 5px;
    color: var(--holy-color-blanc);
    margin: 0 4px;
    font-weight: bold;
}

.holy-button-container {
    height: 300px;
    background: var(--holy-color-noire);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: var(--holy-color-blanc);
    border-radius: 3px;
    padding: 40px 0;
}

.holy-button-container h5 {
    font-weight: bold;
    font-size: 28px;
    text-align: center;
    margin-top: 15px;
    margin-bottom: 30px;
}

.we-are-holy {
    display: none;
}

.d-none+.we-are-holy {
    display: block !important;
}

.status-code {
    font-size: 13px;
    color: var(--holy-color-jaune);
}

.status-code strong {
    color: var(--holy-color-blanc);
    background: var(--holy-color-rouge);
    padding: 0 4px;
}

.holy-button-codepromo {
    border: none;
    font-weight: bold;
}

@media (max-width: 768px) {
    .holy-button-codepromo {
        transform: scale(1.2);
    }
    footer{
        height: 90px;
    }
    .holy-header-none-mobile {
        display: none;
    }

    .holy-body-grid {
        grid-template-columns: unset;
    }

    .holy-mobile-header:nth-child(1) {
        background: var(--holy-color-noire);
        color: var(--holy-color-blanc);
    }

    .holy-body {
        margin-bottom: 15px;
    }

    nav ul {
        flex-direction: column;
        height: unset;
    }

    nav ul li {
        padding: 10px 0;
    }

    header {
        height: auto;
    }

    .holy-banner h1 {
        text-align: center;
        font-size: 57px;
        width: 98%;
    }

    nav ul li::after {
        bottom: 0px !important;
        display: none;
    }

    .holy-banner {
        background-image: linear-gradient(rgba(26, 23, 23, 0.779), rgba(26, 23, 23, 0.774)), url('./photos/MobileCode_promo_Holy_.jpg');
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
    }

    .holy-banner .btn {
        position: relative;
        top: 50px;
        padding: 25px 30px;
    }

    .holy-button-container h5 {
        font-weight: bold;
        text-align: center;
    }

    .holy-button-container {
        padding: 40px 5px;
    }

    footer {
        margin-top: 10px;
    }

    .holy-button-container-pading {
        padding: 0;
    }
}